import request from '/@/utils/request';

export function productionDeviceApi() {
    return {
        // v1
        getProductionDeviceList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/device/select/getDevicePage`,
                method: 'post',
                data: data
            });
        },
        // v1
        addProductionDevice: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/device/insert/saveDevice`,
                method: 'post',
                data: data
            });
        },
        // v1
        modProductionDevice: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/device/update/updateDevice`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteProductionDevice: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/device/delete/deleteDevice`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllProductionDeviceList: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/device/select/listDevices`,
                method: 'post'
            });
        }
    };
}
